<div>
    <h2 id="page-heading">
        <span jhiTranslate="pp2OscarApp.asistencia.home.title">Asistencias</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-asistencia" [routerLink]="['/asistencia/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="pp2OscarApp.asistencia.home.createLabel">
            Create a new Asistencia
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="asistencias?.length === 0">
        <span jhiTranslate="pp2OscarApp.asistencia.home.notFound">No asistencias found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="asistencias && asistencias.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="reset.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="metodoPago"><span jhiTranslate="pp2OscarApp.asistencia.metodoPago">Metodo Pago</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="usuaroId"><span jhiTranslate="pp2OscarApp.asistencia.usuaroId">Usuaro Id</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="eventoId"><span jhiTranslate="pp2OscarApp.asistencia.eventoId">Evento Id</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
                <tr *ngFor="let asistencia of asistencias ;trackBy: trackId">
                    <td><a [routerLink]="['/asistencia', asistencia.id, 'view']">{{ asistencia.id }}</a></td>
                    <td>{{ asistencia.metodoPago }}</td>
                    <td>{{ asistencia.usuaroId }}</td>
                    <td>{{ asistencia.eventoId }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/asistencia', asistencia.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/asistencia', asistencia.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(asistencia)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
